--- old/usr/src/uts/common/inet/ip/icmp.c	Tue Jan 15 10:34:30 2019
+++ new/usr/src/uts/common/inet/ip/icmp.c	Tue Jan 15 10:34:30 2019
@@ -22,6 +22,7 @@
  * Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2013 by Delphix. All rights reserved.
  * Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
+ * Copyright (c) 2018, Joyent, Inc.
  */
 /* Copyright (c) 1990 Mentat Inc. */
 
@@ -5072,7 +5073,7 @@
 	netstack_t	*ns;
 	icmp_stack_t	*is;
 
-	if ((ksp == NULL) || (ksp->ks_data == NULL))
+	if (ksp->ks_data == NULL)
 		return (EIO);
 
 	if (rw == KSTAT_WRITE)
--- old/usr/src/uts/common/inet/ip/ip.c	Tue Jan 15 10:34:30 2019
+++ new/usr/src/uts/common/inet/ip/ip.c	Tue Jan 15 10:34:30 2019
@@ -14075,7 +14075,7 @@
 	netstack_t	*ns;
 	ip_stack_t	*ipst;
 
-	if (kp == NULL || kp->ks_data == NULL)
+	if (kp->ks_data == NULL)
 		return (EIO);
 
 	if (rw == KSTAT_WRITE)
@@ -14212,7 +14212,7 @@
 	netstack_t	*ns;
 	ip_stack_t	*ipst;
 
-	if ((kp == NULL) || (kp->ks_data == NULL))
+	if (kp->ks_data == NULL)
 		return (EIO);
 
 	if (rw == KSTAT_WRITE)
--- old/usr/src/uts/common/inet/sctp/sctp_snmp.c	Tue Jan 15 10:34:31 2019
+++ new/usr/src/uts/common/inet/sctp/sctp_snmp.c	Tue Jan 15 10:34:31 2019
@@ -23,6 +23,10 @@
  * Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include <sys/types.h>
 #include <sys/stream.h>
 #include <sys/cmn_err.h>
@@ -60,7 +64,7 @@
 	sctp_stack_t	*sctps;
 	mib2_sctp_t	sctp_mib;
 
-	if (kp == NULL|| kp->ks_data == NULL)
+	if (kp->ks_data == NULL)
 		return (EIO);
 
 	if (rw == KSTAT_WRITE)
